package de.beyondsoft.ownchat.page.contacts;

import de.beyondsoft.ownchat.model.Group;
import de.beyondsoft.ownchat.model.Message;
import de.beyondsoft.ownchat.page.mvp.MVPView;

import android.support.annotation.StringRes;

import java.util.ArrayList;

/**
 * Created by imarneanu on 2/20/17.
 */
interface ContactsView extends MVPView {

    void setCallback(Callback setCallback);

    void showProgress();

    void hideProgress();

    void setGroups(ArrayList<Group> groups);

    void showError(@StringRes int message);

    interface Callback {
        void storeGroupLocally(long groupId, Message message);

        void loadGroups();

        void loadGroupsFromDB();

        void loadGroupsContainingName(String name);
    }
}
